RDKit::ForceFieldsHelper::detail Namespace Reference

## Functions

void | OptimizeMoleculeConfsST (ROMol &mol, ForceFields::ForceField &ff, std::vector< std::pair< int, double >> &res, int maxIters)

## Function Documentation

## OptimizeMoleculeConfsST()

void RDKit::ForceFieldsHelper::detail::OptimizeMoleculeConfsST | ( | ROMol & | mol,
|  | ForceFields::ForceField & | ff,
|  | std::vector< std::pair< int, double >> & | res,
|  | int | maxIters
| ) |  |

Definition at line 57 of file FFConvenience.h.

References RDKit::ROMol::beginConformers(), ForceFields::ForceField::calcEnergy(), RDKit::ROMol::endConformers(), RDKit::ROMol::getNumAtoms(), RDKit::ROMol::getNumConformers(), ForceFields::ForceField::initialize(), ForceFields::ForceField::minimize(), ForceFields::ForceField::positions(), and PRECONDITION.

Referenced by RDKit::ForceFieldsHelper::OptimizeMoleculeConfs().